Package Gnumed :: Package business :: Module gmKVK |
[frames] | no frames]

# Module gmKVK

source code

GNUmed German KVK/eGK objects.

These objects handle German patient cards (KVK and eGK).

KVK: http://www.kbv.de/ita/register_G.html eGK: http://www.gematik.de/upload/gematik_Qop_eGK_Spezifikation_Teil1_V1_1_0_Kommentare_4_1652.pdf

license: GPL v2 or later

Version: $Revision: 1.22 $

Author: K.Hilbert <Karsten.Hilbert@gmx.net>

Classes
| cDTO_eGK
| cDTO_KVK

Functions
detect_card_type(card_file=None) | source code
get_available_kvks_as_dtos(spool_dir=None) | source code
get_available_egks_as_dtos(spool_dir=None) | source code
get_available_cards_as_dtos(spool_dir=None) | source code

Variables
| true_egk_fields = `['insurance_company', 'insurance_number', 'i`...``
| true_kvk_fields = `['insurance_company', 'insurance_number', 'i`...``
| map_kvkd_tags2dto = `{'Version': 'libchipcard_version', 'Datum'`...``
| issuer_template = `u'%s (%s)'`
| insurance_number_external_id_type = `u'Versichertennummer'`
| insurance_number_external_id_type_egk = `u'Versichertennummer (`...``

Imports: sys, os, fileinput, codecs, time, pyDT, glob, regex, logging, gmPerson, gmExceptions, gmDateTime, gmTools, gmPG2

Variables Details

  ### true_egk_fields Value:
      ['insurance_company', 'insurance_number', 'insuree_number', 'insuree_s
      tatus', 'insuree_status_detail', 'insuree_status_comment', 'title', 'f
      irstnames', 'lastnames', 'dob', 'street', 'zip', 'urb', 'valid_since',
      ]

  ### true_kvk_fields Value:
      ['insurance_company', 'insurance_number', 'insurance_number_vknr', 'in
      suree_number', 'insuree_status', 'insuree_status_detail', 'insuree_sta
      tus_comment', 'title', 'firstnames', 'name_affix', 'lastnames', 'dob',
       'street', 'urb_region_code', 'zip', 'urb', 'valid_until']

  ### map_kvkd_tags2dto Value:
      {'Version': 'libchipcard_version', 'Datum': 'last_read_date', 'Zeit':
      'last_read_time', 'Lesertyp': 'reader_type', 'Kartentyp': 'card_type',
       'KK-Name': 'insurance_company', 'KK-Nummer': 'insurance_number', 'KVK
      -Nummer': 'insurance_number_vknr', 'VKNR': 'insurance_number_vknr', 'V
      -Nummer': 'insuree_number', 'V-Status': 'insuree_status', 'V-Statuserg
      aenzung': 'insuree_status_detail', 'V-Status-Erlaeuterung': 'insuree_s
      tatus_comment', 'Titel': 'title', 'Vorname': 'firstnames', 'Namenszusa
      tz': 'name_affix', 'Familienname': 'lastnames', 'Geburtsdatum': 'dob',
      ...

  ### insurance_number_external_id_type_egk Value:
      u'Versichertennummer (eGK)'